Method: customers.v2.Users.get

擷取使用者。

HTTP 要求

GET https://cloudidentityscim.googleapis.com/v1/customers/{customerId}/v2/Users/{userId}

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
customerId

string

這是必要旗標,客戶在 Cloud Identity 中的專屬 ID。客戶 ID 是英數字串,開頭為字母 C,例如 C01234abc。如要查看客戶 ID,請參閱「查看客戶 ID」一文。

userId

string

這是必要旗標,Cloud Identity 中使用者資源的專屬 ID,由服務指派。這個值與對應使用者的 User.id 值相同。

查詢參數

參數
attributes

string

選用。RFC 7644 第 3.4.2.5 節所述的 attributes 參數。必須是以半形逗號分隔的頂層屬性清單 (不含空格)。

只能包含頂層屬性。attributes 參數不支援子屬性 (例如 name.familyName)。

要求主體

要求主體必須為空白。

回應主體

如果成功,回應主體會包含 User 的執行個體。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/admin.directory.user.readonly
  • https://www.googleapis.com/auth/admin.directory.user

詳情請參閱授權指南。